<?xml version="1.0"?>
<!DOCTYPE PLAY SYSTEM "play.dtd">
<LogicalCameraCap>
    <tag key="HAL_CUSTOM_LOGICAL_CAMERA_CAPABILITY" type="int32_t">
        <defInfo>
            <captureSceneMode type="string2Enum">CAMERA_HW_SM_INVALID</captureSceneMode>
            <logicalCameraIndex>0</logicalCameraIndex>
            <deviceNum>1</deviceNum>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>1</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
        </defInfo>
        <sceneDeviceInfo>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_STORY_MODE</captureSceneMode>
                <logicalCameraIndex>1</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>1</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>2</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
        </sceneDeviceInfo>
    </tag>
</LogicalCameraCap>

